Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmLoginModule

    java.lang.Object
      |
      +--oracle.security.jazn.realm.RealmLoginModule

All Implemented Interfaces:
  LoginModule

public class RealmLoginModule
extends Object
implements LoginModule

A Realm-based Login module.

Constructor Summary
`RealmLoginModule()`

Method Summary
`boolean` | `abort()` This method is called if the LoginContext's overall authentication failed.
`boolean` | `commit()` This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded).
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)` Initialize this `LoginModule`.
`boolean` | `login()` Authenticate the user by prompting for a username and password.
`boolean` | `logout()` Logout the user.
`boolean` | `mylogin(JAZNConfig config, String username, char[] password)`
`boolean` | `mylogin(JAZNConfig config, String realmname, String username, char[] password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmLoginModule

    public RealmLoginModule()

Method Detail

### initialize

    public void initialize(Subject subject,
    CallbackHandler callbackHandler,
    Map sharedState,
    Map options)

  Initialize this `LoginModule`.
  Specified by:
    `initialize` in interface `LoginModule`
  Parameters:
    `subject` - the `Subject` to be authenticated.
    `callbackHandler` - a `CallbackHandler` for communicating with the end user (prompting for usernames and passwords, for example).
    `sharedState` - shared `LoginModule` state.
    `options` - options specified in the login `Configuration` for this particular `LoginModule`.

### login

    public boolean login()
                  throws LoginException

  Authenticate the user by prompting for a username and password.
  Specified by:
    `login` in interface `LoginModule`
  Returns:
    true in all cases since this `LoginModule` should not be ignored.
  Throws:
    `FailedLoginException` - if the authentication fails.
    `LoginException` - if this `LoginModule` is unable to perform the authentication.

### mylogin

    public boolean mylogin(JAZNConfig config,
    String username,
                           char[] password)
                    throws LoginException

    `LoginException`

### mylogin

    public boolean mylogin(JAZNConfig config,
    String realmname,
    String username,
                           char[] password)
                    throws LoginException

    `LoginException`

### commit

    public boolean commit()
                   throws LoginException

  This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded).

  If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the `login` method), then this method associates a `RealmPrincipal` with the `Subject` located in the `LoginModule`. If this LoginModule's own authentication attempted failed, then this method removes any state that was originally saved.

  Specified by:
    `commit` in interface `LoginModule`
  Returns:
    true if this LoginModule's own login and commit attempts succeeded, or false otherwise.
  Throws:
    `LoginException` - if the commit fails.

### abort

    public boolean abort()
                  throws LoginException

  This method is called if the LoginContext's overall authentication failed. (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules did not succeed).

  If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the `login` and `commit` methods), then this method cleans up any state that was originally saved.

  Specified by:
    `abort` in interface `LoginModule`
  Returns:
    false if this LoginModule's own login and/or commit attempts failed, and true otherwise.
  Throws:
    `LoginException` - if the abort fails.

### logout

    public boolean logout()
                   throws LoginException

  Logout the user.

  This method removes the `RealmPrincipal` that was added by the `commit` method.

  Specified by:
    `logout` in interface `LoginModule`
  Returns:
    true in all cases since this `LoginModule` should not be ignored.
  Throws:
    `LoginException` - if the logout fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.